Bug 738653 - Unit test cover XML-RPC method via unit tests
Summary: Unit test cover XML-RPC method via unit tests
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: TCMS
Classification: Other
Component: Distribution
Version: 3.5
Hardware: All
OS: All
high
high
Target Milestone: ---
: ---
Assignee: Victor Chen
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-15 13:28 UTC by David Kovalsky
Modified: 2014-03-31 23:46 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-21 06:00:17 UTC


Attachments (Terms of Use)

Description David Kovalsky 2011-09-15 13:28:21 UTC
During the discussion about XML-RPC interface and type consistency
http://post-office.corp.redhat.com/archives/tcms-dev-list/2011-September/msg00000.html
it has come to our attention that many 3rd party (internal) tools rely on TCMS XML-RPC interface. Even if it's still Beta, changing the function prototype can lead go automatic scripts going crazy or incorrect data being reported. 

I suggest the XML-RPC interface is covered by unit tests according to the XML-RPC documentation and test run executed before every release. Changes should be noted at the time of staging so that other tools have time to adapt. As I've mentioned on list, QE is open to getting our hands dirty at least in terms of helping to write the basic coverage.

Comment 1 yawei Li 2012-05-21 06:00:17 UTC
Yes, we are enhancing our unittest on the xml-rpc interface to avoid impact on other 3rd party tools / scripts.

Now the tcms 3.7.0 works well after some xml-rpc interface upgrade.
1. xml-rpc regression test pass
2. release note will let all users know what is the new added and changes in the release.
3. not change the existing interface, keep it is consistent.


Note You need to log in before you can comment on or make changes to this bug.